<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="CultureCriteria"  package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>    

        <MULTIPLEREFERENCE  name="Answers"  type="CultureCriteriaAnswer"    backreferenceName="CultureCriteria"/>
        
        <TABLE  name="tl_culture_criteria"  tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="Importance"   type="Importance"   dbcol="importance"  attribHelper="EnumeratedAttributeHelper"    mandatory="true"    defaultValue="Importance.NOT_APPLICABLE"/>

            <SINGLEREFERENCE    name="CultureElement"       type="CultureElement"           dbcol="culture_element_id"          mandatory="true"    />
            <SINGLEREFERENCE    name="CultureElementRating" type="CultureElementRating"     dbcol="culture_element_rating_id"   mandatory="true"    />
            <SINGLEREFERENCE    name="Job"                  type="Job"                      dbcol="job_id"                      backreferenceName="CultureCriterias"/>
            <SINGLEREFERENCE    name="Template"             type="CultureCriteriaTemplate"  dbcol="template_id"                 backreferenceName="CultureCriterias"/>

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_culture_criteria.object_id is not null" orderBy="tl_culture_criteria.object_id"   />
            
    </BUSINESSCLASS>
    
</ROOT>